<template>
  <div>
    <button class="ic-info" @click="isOpen = !isOpen;">
      <img fluid class="ic-info" src='../assets/Icons/Neg/info@2x.png'/>
    </button>
    <transition name="modal mt-2">


            <div v-if="isOpen">
              <div class="overlay" @click.self="isOpen = false;">
                <div class="modal">
                  <v-container>

                    <v-layout row mt-2>
                      <v-flex xs1 sm1 md1 lg1>
                        <button @click="isOpen = !isOpen;">
                          <img class="ic-close" fluid src='../assets/Icons/Black/Close@2x.png'/>
                        </button>
                      </v-flex>
                      <v-flex xs12 sm12 md12 lg12 align-left class="info_label">
                         <p>{{ $t('info_label')}}</p>
                      </v-flex>
                    </v-layout>
  
                    <v-layout row>
                      <v-flex md12>
                        <v-card>
                          <v-layout wrap row class="text-xs-center">
                            <v-flex xs4 sm4 md4 lg4 px-0 class="bg_immagine_gray">
                              <img class="img-mozzarella" fluid src='../assets/IMG/DOP_125g@2x.png'/>

                            </v-flex>
                            <v-flex xs8 sm8 md8 lg8>
                              {{ $t('info_product')}}
                            </v-flex>
                          </v-layout>
                        </v-card>
                      </v-flex>
                    </v-layout>
                  
                    <v-layout row wrap mt-4 align-left>
                      <v-flex xs12 sm12 md12 align-left>
                        <h2>{{ $t('how_scan')}}</h2>
                      </v-flex>

                      <v-flex xs12 sm12 md6 align-left>
                        <hr/>
                        <ul class="mt-4">
                          <li class="mt-4">{{$t('how_scan_1')}}</li>
                          <li class="mt-4">{{$t('how_scan_1')}}</li>
                          <li class="mt-4">{{$t('how_scan_1')}}</li>
                          </ul>  
                      </v-flex>

                    </v-layout>  
                  </v-container>

                </div>
              </div>
            </div>
    </transition>

  </div>
</template>

<script>
export default {
  name: 'info',
  props: {
  },
  data: function () {
    return {
      isOpen: false
//      seeOn: 'CERTIFICATO SUL REGISTRO PUBBLICO >'
    }
  }
}
</script>

<style scoped>
.modal {
  width: 100%;
  height: 100%;
  margin: 0px auto;
  padding: 20px;
  background-color: #fff;
  border-radius: 2px;
  box-shadow: 0 2px 8px 3px;
  transition: all 0.2s ease-in;
  font-family: Helvetica, Arial, sans-serif;
}
.fadeIn-enter {
  opacity: 0;
}

.fadeIn-leave-active {
  opacity: 0;
  transition: all 0.2s step-end;
}

.fadeIn-enter .modal,
.fadeIn-leave-active.modal {
  transform: scale(1.1);
}
button {
  padding: 7px;
  margin-top: 10px;
  font-size: 1.1rem;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  background: #00000094;
  z-index: 999;
  transition: opacity 0.2s ease;
}


body {
  background-color: #EDF1F3;
}



.img-mozzarella{
  width: 100%;
}

button.ic-info{
  padding: 0px;
  margin: 0px;
}
img.ic-info{
  padding: 0px;
  margin: 0px;
  width:30px;
}
.ic-close{
    width: 20px;
    position:fixed;
    top:4%;
    left:4%;
}
.labelethereum{
  border:2px solid black;
      padding: 1%;

}

.bg_immagine_gray{
 background-color: #f1efee;
}
#f1efee

h3,.titoletto2{
  font-size: 2rem;
}
p{
  font-size: 1.5rem;
}
.container{
  padding:0
}
.modal{
  padding: 10px;
}


*{
  color:black;
}
.info_label{
  padding:0px!important
}
</style>